summaryrefslogtreecommitdiff
path: root/test/integration/framework
diff options
context:
space:
mode:
authorMichael Vogt <michael.vogt@ubuntu.com>2012-07-10 12:01:46 +0200
committerMichael Vogt <michael.vogt@ubuntu.com>2012-07-10 12:01:46 +0200
commitda3ebfe79d570c3aeb5f0a407cfec7996f44420c (patch)
tree9fc075d7f598ef76d1175483be221b6b73dc2072 /test/integration/framework
parent90d1d54ef2a68bd443815f26e9e2b578a1d7c419 (diff)
add failing regression test for bug #346386
Diffstat (limited to 'test/integration/framework')
-rw-r--r--test/integration/framework9
1 files changed, 8 insertions, 1 deletions
diff --git a/test/integration/framework b/test/integration/framework
index a514bef20..bf46ae0c5 100644
--- a/test/integration/framework
+++ b/test/integration/framework
@@ -687,10 +687,17 @@ signreleasefiles() {
msgdone "info"
}
+simulatebrokenwebserver() {
+ if ! test -x ${BUILDDIRECTORY}/aptwebserver; then
+ msgdie 'Need the aptwebserver to simulate broken connections'
+ fi
+ changetowebserver '--simulate-paywall'
+}
+
changetowebserver() {
if test -x ${BUILDDIRECTORY}/aptwebserver; then
cd aptarchive
- LD_LIBRARY_PATH=${BUILDDIRECTORY} ${BUILDDIRECTORY}/aptwebserver 2> /dev/null > /dev/null &
+ LD_LIBRARY_PATH=${BUILDDIRECTORY} ${BUILDDIRECTORY}/aptwebserver $@ 2> /dev/null > /dev/null &
addtrap "kill $!;"
cd - > /dev/null
elif which weborf > /dev/null; then